$ write sys$output "MinEd VMS make script"

$ sys = f$getsyi("node_swtype")
$ ver = f$getsyi("version")
$ arch = f$getsyi("arch_name")
$ hwname = f$getsyi("hw_name")
$ nodename = f$getsyi("nodename")
$! node = F$TRNLNM("SYS$NODE") ! "FAFNER::"
$ write sys$output "@ ''nodename':	''sys' ''ver' running on ''hwname' (''arch')"
$!@ FAFNER:	VMS  V7.2     running on VAX 7000-720 (VAX)
$!@ GEIN:	VMS  V7.3-1   running on AlphaServer DS10L 466 MHz (Alpha)
$!@ TNEnn:	VMS  V7.3     running on VAX 6000-660 (VAX)

$ compile := cc/decc/warn=(disable=(ptrmismatch,promotmatchw))
$ if nodename .EQS. "FAFNER" then compile := cc/decc/warn=(disable=(ptrmismatch1,promotmatchw))
$ if nodename .EQS. "GEIN" then compile := cc/decc/warn=(disable=(ptrmismatch1,promotmatchw))

$ made :== "false"
$! BEGIN sources
$ call make io
$ call make keyboard
$ call make mousemen
$ call make mined1
$ call make edit /define=NOCHARNAMES
$ call make pastebuf
$ call make textfile
$ call make textbuf
$ call make justify
$ call make search
$ call make minedaux
$ call make legacy
$ call make output
$ call make prompt
$ call make compose
$ call make charcode
$ call make keymaps /include_dir=[.keymaps0]
$ call make keydefs
$ call make dispatch
$ call make termprop
$ call make width
$ call make encoding
$ call make handescr
$! END sources

$ libcre = ""
$ libcre = f$cvtime(f$file_attributes ("charmaps.olb", "cdt"))
$ if libcre .eqs. "" then @vms-complib CHARMAPS

$ if made .eqs. "true" then goto link
$ exit
$ link:
$  write sys$output "linking MINED"
$  link vms-link/opt,charmaps/libr /exe=mined
$  exit

$ make: subroutine
$!  write sys$output "checking ''p1'"
$  srcmod = f$cvtime(f$file_attributes ("''p1'.c", "cdt"))
$  objcre = ""
$  objcre = f$cvtime(f$file_attributes ("''p1'.obj", "cdt"))
$!  write sys$output "''srcmod' ''p1'.c"
$!  write sys$output "''objcre' ''p1'.obj"
$  if srcmod .gts. objcre then goto compile
$  goto endsub
$ compile:
$  write sys$output "compiling ''p1'"
$  compile 'p2 'p1
$  made :== "true"
$ endsub:
$  endsub

